import 'plugin.dart';

final class Jivo {
    static JVSession get session => JivoPlugin.instance.session;
    static JVDisplay get display => JivoPlugin.instance.display;
    static JVNotifications get notifications => JivoPlugin.instance.notifications;
    static JVDebugging get debugging => JivoPlugin.instance.debugging;
}

enum JVSessionServer {
    auto,
    asia,
    europe,
    russia
}

class JVSessionCustomDataField {
    String? title;
    String? key;
    String content;
    String? link;
    JVSessionCustomDataField(this.title, this.key, this.content, this.link);
}

enum JVDisplayElement {
    headerIcon,
    headerTitle,
    headerSubtitle,
    outgoingElements,
    messageHello,
    messageOffline,
    replyPlaceholder,
    replyPrefill,
    attachCamera,
    attachLibrary,
    attachFile,
    rateFormPreSubmitTitle,
    rateFormPostSubmitTitle,
    rateFormCommentPlaceholder,
    rateFormSubmitCaption
}

enum JVDisplayMenu {
    attach
}

enum JVNotificationsPermissionAskingMoment {
    never,
    onconnect,
    onappear,
    onsend
}

enum JVDebuggingLevel {
  silent,
  full
}
